## android-platform-tools-base 1.5.0

=== debian/changelog ===
android-platform-tools-base (1.5.0-4) unstable; urgency=medium

  * No-change rebuild because of bug #805228.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Jul 2016 23:28:15 +0200

android-platform-tools-base (1.5.0-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8.
  * Build-Depend on libhttpcore-java.
  * Add libhttpcore-java-ThreadSafe.patch.
    Replace removed ThreadSafe annotation class with custom built annotations.
    Thanks to Chris Lamb for the report. (Closes: #828813)
  * Remove jlibs files and javahelper build-dependency. Make use of
    maven_repo_helper's --java-lib option instead.
  * Build-Depend on Groovy and update build.gradle.patch to fix build failure
    Cannot infer Groovy class path because no Groovy Jar was found on class
    path.

 -- Markus Koschany <apo@debian.org>  Wed, 13 Jul 2016 21:34:58 +0200

android-platform-tools-base (1.5.0-2) unstable; urgency=medium

  * Drop disable-lint.patch and build Lint because the new build-dependency
    liblombok-ast-java is available now.
  * Add liblombok-ast-java to Build-Depends.
  * Update package description and mention Android's Lint tool.

 -- Markus Koschany <apo@debian.org>  Wed, 23 Mar 2016 14:08:28 +0100

android-platform-tools-base (1.5.0-1) unstable; urgency=medium

  * Initial release. (Closes: #814797)

 -- Markus Koschany <apo@debian.org>  Thu, 18 Feb 2016 00:47:02 +0100
