## android-platform-tools-base 2.2.2

=== debian/changelog ===
android-platform-tools-base (2.2.2-3) unstable; urgency=medium

  * use minimal proguard packages to avoid pulling in GUI
  * point Vcs tags to salsa.debian.org
  * Standards-Version: 4.1.3 no changes
  * make license check a warning instead of an error (Closes: #883074)
  * fix launcher shell script for screenshot2 command
  * fix missing-notice-file-for-apache-license

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 28 Feb 2018 16:40:52 +0100

android-platform-tools-base (2.2.2-2) unstable; urgency=medium

  * New using_Debian_Android_SDK.patch: When using Debian's Android SDK, the
    plugin will select the best `android.jar` and Build-Tools available.
  * d/control:
    * Suggests android-debian-helper that helps using the Gradle plugin provided
      by this package.
    * Depends on JDK8 since the code uses Java 8 Streams and lambda.

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 28 Feb 2017 19:37:48 +0800

android-platform-tools-base (2.2.2-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * New upstream release (Closes: #850997)
  * Team upload

  [ Kai-Chung Yan ]
  * New BDs:
    * libbatik-java
    * libautomaton-java
    * libcglib-java
    * libjdom1-java
    * libjna-java
    * libjna-platform-java
    * libjoptsimple-java
    * liboro-java
  * Remove BD: libtrove3-java but use its fork from intellij-community
  * No longer build testutils
  * New patch disable_lint-cli_psi.patch

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 25 Jan 2017 22:11:21 +0800

android-platform-tools-base (2.0.0-2) unstable; urgency=medium

  * Switch to libasm-java instead of libasm4-java (Closes: #839745)
  * build.gradle.patch:
    * Set compiler encoding to UTF-8 otherwise encoding errors
    * Remove non-existing gradle properties
    * Bring compatibility with Gradle 3.x (Closes: #844959)
  * d/control:
    * Let libandroid-ddms-java depends on adb
    * Build-Depends on default-jdk-headless | default-jdk (>= 1:1.6)
  * d/android-platform-tools-base.links: No longer provide symlinks to JARs in
    ANDROID_HOME. This is unnecessary.
  * Bring back profile.jar
  * Update to debhelper 10
  * Let gradle-debian-helper generate Maven POMs
    * Build-Depends on gradke-debian-helper (>= 1.4~)
  * d/libgradle-android-plugin-java-doc.lintian-overrides: Ignore
    duplicate-files as they are example files not mistakes
  * d/maven.rules: Use version "debian" of bouncycastle
  * New Gradle_3.patch: Bring compatibility with Gradle 3.x

 -- Kai-Chung Yan <seamlikok@gmail.com>  Thu, 01 Dec 2016 17:41:01 +0800

android-platform-tools-base (2.0.0-1) unstable; urgency=medium

  [ Markus Koschany ]
  * Remove myself from Uploaders.

  [ Chirayu Desai ]
  * Add maxParallelForksSingleCPU.patch.
    Upstream uncondtionally set maxParallelForks to available processors
    which would equal 0.5 if there was only a single processor. Make it
    conditional so that the default value of 1 is used in cases where available
    processors are < 2. (Closes: #834753)

  [ Kai-Chung Yan ]
  * New upstream release
  * Use get-orig-source to generate upstream tarball
    - Refactor the upstream file structure based on that
  * New Build-Depends:
    - libandroid-databinding-java
    - antlr3
  * d/copyright: Exclude more binary files and non-free files
  * d/control:
    - Unify Maintainer to "Android Tools Maintainers"
    - Add myself to Uploaders
    - Move Vcs repo to android-tools
  * New Inception-Date.patch: Manually set Inception-Date in some JARs' manifest
    for reproducibility
  * New packages:
    * libgradle-android-plugin-java(-doc)
    * libandroid-ddms-java
    * libandroid-layoutlib-api-java
    * libandroid-tools-dvlib-java
    * libandroid-tools-repository-java
  * No longer build the folowwing as they are unused:
      * chartlib.jar
      * generate-local-data.jar
      * lint-tests.jar
      * nin9patch.jar
      * perflib.jar
      * profile.jar
      * rule-api.jar
  * No longer build against libandroid-tools-common-java or
    libandroid-tools-annotations-java which introduces self-dependencies
  * Install JARs into maven-repo
  * Generate Class-Paths for the Java programs and store them in
    /usr/share/android-platform-tools-base

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 26 Aug 2016 22:19:07 +0200
