=== debian/control ===
Source: android-platform-tools-base
Section: java
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Kai-Chung Yan <seamlikok@gmail.com>,
Build-Depends:
 antlr3,
 bash-completion,
 debhelper (>= 10),
 default-jdk-headless (>= 2:1.8),
 gradle-debian-helper,
 groovy,
 junit4,
 libandroid-databinding-java (>= 2.2.2-2~),
 libandroid-tools-analytics-library-java (>= 2.2.2-2~),
 libasm-java,
 libautomaton-java,
 libbatik-java,
 libbcpkix-java,
 libbcprov-java,
 libcglib-java,
 libcommons-compress-java,
 libecj-java,
 libgoogle-gson-java,
 libguava-java,
 libhttpmime-java,
 libintellij-annotations-java,
 libjacoco-java (>= 0.7.8-1~),
 libjavawriter-java,
 libjdom1-java,
 libjimfs-java (>= 1.1-3~),
 libjna-java,
 libjna-platform-java,
 libjoptsimple-java,
 libjsr305-java,
 libkxml2-java,
 liblog4j1.2-java,
 liblombok-ast-java,
 liboro-java,
 libproguard-java,
 libsnappy-java,
 maven-debian-helper,
 maven-repo-helper,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-tools-base
Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-tools-base.git
Homepage: https://android.googlesource.com/platform/tools/base/

Package: android-platform-tools-base
Architecture: all
Depends:
 default-jre-headless (>= 2:1.8) | java8-runtime-headless,
 libandroid-ddms-java (>= ${binary:Version}),
 ${misc:Depends}
Suggests: default-jre
Description: base tools for developing applications for the Android system
 This package includes various tools for developing and building Android
 applications, e.g.
 .
  * Draw 9-patch: Allows you to easily create a NinePatch graphic using a
    WYSIWYG editor. It also previews stretched versions of the image, and
    highlights the area in which content is allowed.
 .
  * screenshot2: Takes a screenshot from a remote Android device.
 .
 default-jre or other non-headless JRE needs to be installed in order to run
 "draw9patch". However draw9patch fails to run due to bug #798794.

Package: libandroid-tools-annotations-java
Architecture: all
Depends:
 ${misc:Depends}
Description: annotations used throughout the Android tools libraries
 This package provides support for annotations which can be found in all
 Android tools libraries.

Package: libandroid-tools-common-java
Architecture: all
Depends:
 libandroid-tools-annotations-java (>= ${binary:Version}),
 libguava-java,
 ${misc:Depends}
Description: common library used by other Android tools libraries
 This package provides common tasks and classes which are used by other Android
 tools libraries.

Package: libgradle-android-plugin-java
Architecture: all
Depends: android-platform-tools-base,
         antlr3,
         antlr4,
         libandroid-databinding-java,
         libandroid-ddms-java (>= ${binary:Version}),
         libandroid-layoutlib-api-java (>= ${binary:Version}),
         libandroid-tools-analytics-library-java (>= 2.2.2-2~),
         libandroid-tools-common-java (>= ${binary:Version}),
         libandroid-tools-sdklib-java (>= ${binary:Version}),
         libasm-java,
         libautomaton-java,
         libbatik-java,
         libbcpkix-java,
         libbcprov-java,
         libcglib-java,
         libecj-java,
         libgradle-core-java,
         libgradle-plugins-java,
         libgoogle-gson-java,
         libguava-java,
         libjacoco-java,
         libjavawriter-java,
         libjdom1-java,
         libjna-java,
         libjna-platform-java,
         libjoptsimple-java,
         liblog4j1.2-java,
         liblombok-ast-java,
         liboro-java,
         proguard-cli,
         ${misc:Depends}
Breaks: android-platform-tools-base (<< 2.0.0-1)
Replaces: android-platform-tools-base (<< 2.0.0-1)
Suggests: android-debian-helper, gradle
Description: Android Plugin for Gradle
 The Android build system uses the Android Plugin for Gradle to support building
 Android applications with the Gradle build toolkit. The plugin runs independent
 of Android Studio so the plugin and the Gradle build system can be updated
 independently of Android Studio. You can build your Android applications from
 within Android Studio or from the command line on your machine or on machines
 where Android Studio is not installed (such as continuous integration servers).
 .
 This package does not include gradle-experimental.jar because its dependencies
 are hard to resolve in Debian.
 .
 To build an Android application using the plugin in Debian, install
 `android-debian-helper` and use the init.gradle provided by that package.

Package: libgradle-android-plugin-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Android Plugin for Gradle - Documentations
 The Android build system uses the Android Plugin for Gradle to support building
 Android applications with the Gradle build toolkit. The plugin runs independent
 of Android Studio so the plugin and the Gradle build system can be updated
 independently of Android Studio. You can build your Android applications from
 within Android Studio or from the command line on your machine or on machines
 where Android Studio is not installed (such as continuous integration servers).
 .
 This package provides some templates for using the Gradle plugin.

Package: libandroid-tools-sdklib-java
Architecture: all
Depends: libandroid-layoutlib-api-java (>= ${binary:Version}),
         libandroid-tools-dvlib-java (>= ${binary:Version}),
         libandroid-tools-repository-java (>= ${binary:Version}),
         libcommons-compress-java,
         libgoogle-gson-java,
         libhttpclient-java,
         libhttpmime-java,
         libjimfs-java,
         ${misc:Depends}
Description: Library to parse and download the Android SDK
 This library is used by the SDK manager.
 .
 This package provides "sdklib.jar" in the Android SDK.

Package: libandroid-ddms-java
Architecture: all
Depends: adb,
         libandroid-tools-common-java,
         libkxml2-java,
         ${misc:Depends}
Description: Communicate with devices through adb - Core library
 Dalvik Debug Monitor Server (DDMS) provides port-forwarding services, screen
 capture on the device, thread and heap information on the device, logcat,
 process, and radio state information, incoming call and SMS spoofing, location
 data spoofing, and more.
 .
 This library is used by several tools outside of DDMS such as HierarchyViewer.
 .
 This package provides "ddmlib.jar" in the Android SDK.

Package: libandroid-layoutlib-api-java
Architecture: all
Depends: libandroid-tools-common-java,
         libintellij-annotations-java,
         ${misc:Depends}
Description: Library to use the rendering library for Android layouts - API
 This library describes the API used to load and interact with layoutlib. Any
 tool loading layoutlib should depends on it.
 .
 This package provides "layoutlib-api.jar" in the Android SDK.

Package: libandroid-tools-dvlib-java
Architecture: all
Depends: libandroid-tools-common-java,
         ${misc:Depends}
Description: Library to manage the Android device database XML files
 This library is used by libandroid-tools-sdklib-java.
 .
 This package provides "dvlib.jar" in the Android SDK

Package: libandroid-tools-repository-java
Architecture: all
Depends: libandroid-tools-common-java (>= ${binary:Version}),
         libcommons-compress-java,
         ${misc:Depends}
Description: Library for downloading and managing package repositories
 This library provides the API to parse the XML format manifest of Android SDK's
 official package repository.
 .
 This package provides "repository.jar" in the Android SDK.
